Sorry your browser is not supported!

You are using an outdated browser that does not support modern web technologies, in order to use this site please update to a new browser.

Browsers supported include Chrome, FireFox, Safari, Opera, Internet Explorer 10+ or Microsoft Edge.

FPSC Classic Scripts / [LOCKED] FPI Maker 0.5

Author
Message
XLDev
16
Years of Service
User Offline
Joined: 18th Feb 2005
Location: San Diego CA, USA
Posted: 3rd Oct 2005 09:53
FPI Maker 0.5 is ready. Check out the screenshots here:

http://www.xldevelopment.net/ss/fpimaker05.png
http://www.xldevelopment.net/ss/fpimaker05_2.png

Download it here:
http://www.xldevelopment.net/downloads/fpimakersetup.exe

I had to rebuild the user interface due to switching from SandBar/SandDock to DotNetBar but I was able to keep the look the same more or less. The only new features are the ability to switch between tabbed view and MDI view and the editor has a split view. The screenshots show these features. Oh and it's also updated with the V1 FPI commands.

Let me know of any bugs you guys find.

-XL- Development
http://www.xldevelopment.net
Download FPI Maker: http://www.xldevelopment.net/downloads/fpimakersetup.exe
Habatar
16
Years of Service
User Offline
Joined: 9th Aug 2004
Location: Madrid (Spain)
Posted: 3rd Oct 2005 16:20
Nice. Thanks

Great work.
Zero #43
16
Years of Service
User Offline
Joined: 5th May 2004
Location: ** in your head **
Posted: 3rd Oct 2005 21:07
finally this one works... ur other one didnt work due to .NET FRAMEWORK thingy i think... but oh well... this one works

Intel® Pentium® 4 Processor w/ HT Technology 3.4GHz 800MHz FSB w/ 512KB Cache, 1GB DDR PC-2700 at 333MHz - 1x1024 SO-DIMM, ATI RADEON™ 9550 256MB DDR(<<soon ), 80GB Hard Drive
Matinuker
16
Years of Service
User Offline
Joined: 25th Mar 2004
Location:
Posted: 7th Oct 2005 23:54 Edited at: 7th Oct 2005 23:56
thanks

Edit: Sweet Program by the way, it helps me script alot
Zero #43
16
Years of Service
User Offline
Joined: 5th May 2004
Location: ** in your head **
Posted: 8th Oct 2005 00:05
ya me 2... i didnt understand scripting b4.. now i do

Intel® Pentium® 4 Processor w/ HT Technology 3.4GHz 800MHz FSB w/ 512KB Cache, 1GB DDR PC-2700 at 333MHz - 1x1024 SO-DIMM, ATI RADEON™ 9550 256MB DDR(<<soon ), 80GB Hard Drive
XLDev
16
Years of Service
User Offline
Joined: 18th Feb 2005
Location: San Diego CA, USA
Posted: 12th Oct 2005 08:49
Thanks, I'm glad you guys are getting some use out of it. Let me know what you would like to see in the next version.

-XL- Development
http://www.xldevelopment.net
Download FPI Maker: http://www.xldevelopment.net/downloads/fpimakersetup.exe
Evil stick
15
Years of Service
User Offline
Joined: 27th Mar 2005
Location:
Posted: 12th Oct 2005 14:10
A right click on a tab, so you can close that tab.

I ALWAYS have flame proof jacket...just in case...and a shotgun. If you want any, just ask!

We are all nice,except for that one who's name starts in a m and ends in erranvo.
Shigidy Wigidy
15
Years of Service
User Offline
Joined: 1st Aug 2005
Location: Somewhere
Posted: 14th Oct 2005 04:30
it wont let me install it. it gives me this.

Attachments

Login to view attachments
XLDev
16
Years of Service
User Offline
Joined: 18th Feb 2005
Location: San Diego CA, USA
Posted: 14th Oct 2005 05:13
Your computer needs the Microsoft .NET Framework 1.1. You can use Windows Update to install it on your pc or download it directly from Microsoft here http://www.microsoft.com/downloads/details.aspx?FamilyID=262D25E3-F589-4842-8157-034D1E7CF3A3&displaylang=en

-XL- Development
http://www.xldevelopment.net
Download FPI Maker: http://www.xldevelopment.net/downloads/fpimakersetup.exe
Shigidy Wigidy
15
Years of Service
User Offline
Joined: 1st Aug 2005
Location: Somewhere
Posted: 15th Oct 2005 04:45
mickeyb
15
Years of Service
User Offline
Joined: 1st Jan 2006
Location:
Posted: 5th Jan 2006 22:51
it wont let me install it. it gives me this.

Your computer needs the Microsoft .NET Framework 1.1. You can use Windows Update to install it on your pc or download it directly from Microsoft.

I have .NET Framework 2.

how can i get it to run.
james hardy
15
Years of Service
User Offline
Joined: 29th Jan 2006
Location: Good Old Britain
Posted: 13th Feb 2006 11:59
Thank you!
himynameisali
17
Years of Service
User Offline
Joined: 9th Nov 2003
Location: England, You...Rastards!
Posted: 4th Mar 2006 21:54
mickeyb - Maybe you have to downgrade lol
FredP
Retired Moderator
15
Years of Service
User Offline
Joined: 27th Feb 2006
Location: Indiana
Posted: 13th Mar 2006 07:09
Can somebody explain how to use fpi maker?I would deeply appreciate it.Thanks.

Not changing this sig until I get rich
BULLSHOCK 2
Retired Moderator
15
Years of Service
User Offline
Joined: 14th Jun 2005
Location: Shocking Bulls
Posted: 13th Mar 2006 07:32
it's an IDE for FPI language, basically notepad with syntax highlighting.

youve written FPI's before right? same concept.

FredP
Retired Moderator
15
Years of Service
User Offline
Joined: 27th Feb 2006
Location: Indiana
Posted: 13th Mar 2006 08:10
Yeah.I guess the pretty pictures got me again.Thank you for your help again.

Not changing this sig until I get rich
Dog
15
Years of Service
User Offline
Joined: 8th Dec 2005
Location:
Posted: 11th Apr 2006 05:31
Hello,

I have not written an FPI and could us insrtuctions if available. Any help would be great. Thank you for your help.


http://www.webzsphere.com
Support your local Riker 9 Chapter.
Warped Factor 9
15
Years of Service
User Offline
Joined: 16th Jan 2006
Location: Right... behind you
Posted: 12th Apr 2006 01:11
Thanks a bunch, rlopez.

Pretty colors...

FPSC...The ultimate sippie cup for programmers!
Acolyte Entertainment
16
Years of Service
User Offline
Joined: 28th Dec 2004
Location: Oregon, US
Posted: 12th Apr 2006 18:17
quit digging up this thread its MONTHS old

FredP
Retired Moderator
15
Years of Service
User Offline
Joined: 27th Feb 2006
Location: Indiana
Posted: 12th Apr 2006 18:31
Maybe it is months old but this app is useful to anyone who uses FPSC.

FLA
Les Horribres
15
Years of Service
User Offline
Joined: 20th Nov 2005
Location: My Name is... Merry
Posted: 12th Apr 2006 23:57
Jesus, You guys are worse then the noobs.

I have the LINK in a THREAD that you BUMP every now and then.

if you BUMP the threads that are IN that thread, the THREAD is USLESS. And the BOARDS are a mess.

We all have our inner noob.
Join the NJL: We have MORE fun!
When in doubt, blame a mod!
FredP
Retired Moderator
15
Years of Service
User Offline
Joined: 27th Feb 2006
Location: Indiana
Posted: 13th Apr 2006 04:21 Edited at: 13th Apr 2006 04:22
So what you are saying is you don't want us to bump this?
Just kidding...Don't hit me...lol.
My apologies if I screwed something up.

I just realized I bumped it again by responding.
Feel free to beat me now.

FLA
Tom0001
15
Years of Service
User Offline
Joined: 30th Dec 2005
Location:
Posted: 13th Apr 2006 16:36
*bump*

Support your local Riker 9 Chapter.
Amine
14
Years of Service
User Offline
Joined: 21st May 2006
Location:
Posted: 29th May 2006 01:58
Nice Work, extremly pro..
necro demon
14
Years of Service
User Offline
Joined: 21st Sep 2006
Location: Everywhere
Posted: 23rd Sep 2006 20:28
Did you use C++. Sorry for the noob question.
Jonno
14
Years of Service
User Offline
Joined: 20th Apr 2006
Location:
Posted: 29th Oct 2006 08:39
BUMP!!! (Just to annoy Les Horribres)

Looks very nice.

Login to post a reply

Server time is: 2021-03-05 10:44:03
Your offset time is: 2021-03-05 10:44:03